FlatFileUnigeneFactory (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.unigene.FlatFileUnigeneFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.unigene
Class FlatFileUnigeneFactory

    java.lang.Object
      org.biojava.bio.program.unigene.FlatFileUnigeneFactory

All Implemented Interfaces:
  UnigeneFactory

    public class FlatFileUnigeneFactory

extends Object
implements UnigeneFactory

A UnigeneFactory that will use flat-file indexing of the unigene ascii-art files.

This class is for developers and power-users. Usually you will not use this class directly, but rather use UnigeneTools.loadDatabase() with a file URL.

This will create all the index files necisary to look up records in a timely manner. It requires read/write access to the unigene directory. No files will be deleted during this opperation. The indexing strategy used is compattible with the OBDA flat-file indexing spec and uses the package org.biojava.bio.program.indexdb and parsers that are compattible with the tag-value API.

Author:
  Matthew Pocock

Constructor Summary
`FlatFileUnigeneFactory()`

Method Summary
`boolean` | `canAccept(URL unigeneLoc)` Accepts all URLs that are of the file protocol.
`UnigeneDB` | `createUnigene(URL unigeneLoc)`
`UnigeneDB` | `loadUnigene(URL unigeneLoc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFileUnigeneFactory

    public FlatFileUnigeneFactory()

Method Detail

### canAccept

    public boolean canAccept(URL unigeneLoc)

  Accepts all URLs that are of the file protocol.

  Specified by:
    `canAccept` in interface `UnigeneFactory`

### loadUnigene

    public UnigeneDB loadUnigene(URL unigeneLoc)
                          throws BioException

  Specified by:
    `loadUnigene` in interface `UnigeneFactory`
  Throws:
    `BioException`

### createUnigene

    public UnigeneDB createUnigene(URL unigeneLoc)
                            throws BioException

  Specified by:
    `createUnigene` in interface `UnigeneFactory`
  Throws:
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD